%Střední hodnoty a rozptyly u mužů a žen s parkynsonovou chorobou.
%Vstup: "P_zena.xls", "P_muz.xls"
%Výstup: str_hod_zena, str_hod_muz, rozptyl_zena, rozptyl_muz

clear all
clc

lab= {'7.1_1_a','7.1_1_e','7.1_1_i','7.1_1_o','7.1_1_u','7.1_2_a','7.1_2_e',...
    '7.1_2_i','7.1_2_o','7.1_2_u','7.1_3_a','7.1_3_e','7.1_3_i','7.1_3_o',...
    '7.1_3_u','7.1_4_a','7.1_4_e','7.1_4_i','7.1_4_o','7.1_4_u'};

[a,sheets] = xlsfinfo('P_zena.xls'); %zjistuje jake labely se nachazi v konkretnim excelu
[a1,sheets1] = xlsfinfo('P_muz.xls');

str_hod_zena=[];
str_hod_muz=[];
rozptyl_zena=[];
rozptyl_muz=[];

K = length(lab);  %pocet labelu v jednotlivych nahravkach
   for c = 1:K   %cyklus pro label  
     t = ismember(lab{c}, sheets);  %porovnava jestli vypsane labely odpovidaji labelum v oteviranem excelu
     t1 = ismember(lab{c}, sheets1);
     
     if t==1
  
[ndata, text, alldata] = xlsread('P_zena.xls',lab{c});
X=ndata(:,1);
sz=mean(X);
str_hod_zena=[str_hod_zena;sz];

Y=ndata(:,5);
rz=std(Y);
rozptyl_zena=[rozptyl_zena;rz];

     else
      disp('neobsahuje label: ')
      disp(lab{c})
     end
     
     if t1==1
  
[ndata1, text1, alldata1] = xlsread('P_muz.xls',lab{c});
X1=ndata1(:,1);
sm=mean(X1);
str_hod_muz=[str_hod_muz;sm];

Y1=ndata1(:,5);
rm=std(Y1);
rozptyl_muz=[rozptyl_muz;rm];

     else
      disp('neobsahuje label: ')
      disp(lab{c})
     end
   end
